AutoCAD 2010/2011/2012

AutoCAD 2010/2011/2012

Reply
*Adam Raczkowski
Message 1 of 11 (587 Views)

How to make line boundary around multi-line text region corresponding to text mask?

587 Views, 10 Replies
04-27-2010 12:10 AM
I need to do it quickly with many text regions.

Regards
Adam R
Active Contributor
wundrlik
Posts: 39
Registered: ‎09-23-2008
Message 2 of 11 (587 Views)

Re: How to make line boundary around multi-line text region corresponding to text mask?

04-27-2010 05:01 AM in reply to: *Adam Raczkowski
The easiest way is to do the following:

Wipeout => Frames => ON

The only thing to know it that it's temporary, when you close and save the drawing, the next time you open it, the frames are turned off.

Ryan A Wunderlich
Royal Caribbean Cruises Ltd
Ryan A Wunderlich
Royal Caribbean Cruises Ltd.
Valued Mentor
Randy_Culp
Posts: 1,257
Registered: ‎08-17-2007
Message 3 of 11 (587 Views)

Re: How to make line boundary around multi-line text region corresponding to text mask?

04-27-2010 07:57 AM in reply to: *Adam Raczkowski
The entity association codes are 42 for width and 43 for height see example for pulling that data:

(DEFUN C:mt-wh ()
(SETQ A (ENTGET (CAR (NENTSEL "\N Select Element For Association list"))))
(princ (strcat "\n Width = " (rtos (cdr (assoc 42 A)) 2 15)))
(princ (strcat "\n Height = " (rtos (cdr (assoc 43 A)) 2 15)))(princ)
)

Asking for details in the lisp forum may give you additional direction
*Pro
murray-clack
Posts: 1,809
Registered: ‎12-08-2003
Message 4 of 11 (587 Views)

Re: How to make line boundary around multi-line text region corresponding to text mask?

04-27-2010 08:20 AM in reply to: *Adam Raczkowski
Adam, you are using wipeouts to mask text? Why not use the background feature in MText objects? When you change the width of the MText (aka word wrapping) the background masking automatically goes with it.
Valued Mentor
Randy_Culp
Posts: 1,257
Registered: ‎08-17-2007
Message 5 of 11 (587 Views)

Re: How to make line boundary around multi-line text region corresponding to text mask?

04-27-2010 11:54 AM in reply to: *Adam Raczkowski
I got the impression that he was not attempting to mask text, but to draw a box around it. but until he reposts, I'm guessing.
Active Contributor
anthony.nr
Posts: 30
Registered: ‎06-18-2008
Message 6 of 11 (587 Views)

Re: How to make line boundary around multi-line text region corresponding to text mask?

04-27-2010 09:22 PM in reply to: *Adam Raczkowski
S, he wants similar to dimension text, just to draw frame around text.
thanks,
Anthony
Civil 3D 2011, 64bit
Dell t1600 Win7 Pro.
Xeon 3.3GHz
8GB RAM
*Ronczez
Message 7 of 11 (587 Views)

Re: How to make line boundary around multi-line text region corresponding to text mask?

04-28-2010 10:40 AM in reply to: *Adam Raczkowski
Hi!



I gave you not sufficient description.

I mean - How to make line boundary around mtext region corresponding to text
mask background.

The same like is box around dimention text.

Regards
Adam

U¿ytkownik napisa³ w wiadomo¶ci
news:6381468@discussion.autodesk.com...
I got the impression that he was not attempting to mask text, but to draw a
box around it. but until he reposts, I'm guessing.
*Expert Elite*
ToanDN
Posts: 1,893
Registered: ‎09-26-2006
Message 8 of 11 (587 Views)

Re: How to make line boundary around multi-line text region corresponding to text mask?

04-28-2010 02:55 PM in reply to: *Adam Raczkowski
Use a one-cell table with white color (255,255,255) as cell background color. Edited by: ZEROrdinary on Apr 28, 2010 2:55 PM
Just realize you need to do it for existing text. So my suggestion does not apply.
Contributor
menotyou1234567890
Posts: 11
Registered: ‎09-28-2008
Message 9 of 11 (587 Views)

Re: How to make line boundary around multi-line text region corresponding to text mask?

04-28-2010 04:41 PM in reply to: *Adam Raczkowski
Its not perfect but "tcircle" works. Doesn't quite match the background mask but its close. And you'll have to do them one by one, although once the first one is right its just enter, enter, enter.
*Pro
murray-clack
Posts: 1,809
Registered: ‎12-08-2003
Message 10 of 11 (587 Views)

Re: How to make line boundary around multi-line text region corresponding to text mask?

04-29-2010 03:57 AM in reply to: *Adam Raczkowski
I am not using 2010/11 yet, but what about using parametric constraints? Can you constrain the endpoints of lines to the insertion point and nodes of an MText object? That way, when you stretch the word wrapping of the MText, the constrained lines stretch with it.
Post to the Community

Have questions about Autodesk products? Ask the community.

New Post
Announcements
Are You Going To Be @ AU 2014? Feel free to drop by our AU topic post and share your plans, plug a class that you're teaching, or simply check out who else from the community might be in attendance. Ohh and don't forgot to stop by the Autodesk Help | Learn | Collaborate booths in the Exhibit Hall and meet our community team if you get a chance!